/* ----------------------------------------------------------------------- 
 *	Copylight(C) 2018 Kanazawa-soft-design,LLC.
 * ----------------------------------------------------------------------- */
/*!
 *	@file	FileViewEventListener.java
 *
 *	@brief	イベントリスナー･インターフェース定義.
 *
 *	@author	金澤 宣明
 */
package sample.JavaSwing001;

interface FileViewEventListener {

	/* ----------------------------------------------------------------------- */
	/**
	 *	ファイル一覧を更新する.
	 *
	 *	@param	path	一覧表示するディレクトリの絶対パス.
	 */
	public void updateFileList( String path );

	/* ----------------------------------------------------------------------- */
	/**
	 *	ファイルの内容をバイナリ形式で表示する.
	 *
	 *	@param	path	バイナリ表示するファイルの絶対パス.
	 */
	public void showBinaryFile( String path );

	/* ----------------------------------------------------------------------- */
	/**
	 *	指定したディレクトリを展開表示する.
	 *
	 *	@param	path	展開するディレクトリの絶対パス.
	 */
	public void expandDirectory( String path );
}

/* End of file */
